<template>
  <div class="evaluation-model-binding">
     <fks-row :gutter="10" style="width:100%;height:100%;">
        <fks-col :span="4" style="width:220px;height:100%">
            <div class="model-binding-left-box">
                <titleBox title="泵站列表"></titleBox>
                    <fks-tree
                    ref="tree"
                    :data="treeData"
                    :props="defaultProps"
                    :show-icon="true"
                    default-expand-all
                    node-key="id"
                    current-node-key="1"
                    :highlight-current="true"
                    >
                    </fks-tree>
            </div>
        </fks-col>
        <fks-col :span="20" style="width:calc(100% - 220px);height:100%;">
            <div class="model-binding-right-box">
                <titleBox title="设备清单"></titleBox>
                <fks-table 
                    border
                    max-height="700"
                    :data="TableData"
                    row-key="id"
                    border
                    lazy
                    :tree-props="{children: 'children', hasChildren: 'hasChildren'}"
                    style="width: 100%">
                    <fks-table-column
                        prop="name"
                        label="名称"
                        width="180">
                    </fks-table-column>
                    <fks-table-column
                        prop="category"
                        label="类别"
                        width="180">
                    </fks-table-column>
                    <fks-table-column
                        prop="norms"
                        label="规格">
                    </fks-table-column>
                    <fks-table-column
                        prop="model"
                        label="型号">
                    </fks-table-column>
                    <fks-table-column
                        prop="status"
                        label="状态">
                    </fks-table-column><fks-table-column
                        prop="evaluationModel"
                        label="评价模型">
                    </fks-table-column>
                    <fks-table-column label="操作" width="80">
                        <template slot-scope="scope">
                            <fks-button
                            type="text"
                            size="mini"
                            @click="handleEdit(scope.$index, scope.row)">绑定</fks-button>
                        </template>
                    </fks-table-column>
               </fks-table>
               
            </div>
        </fks-col>
    </fks-row>
         <!--  绑定指标评价模型 -->
        <fks-dialog
        title="绑定指标评价模型"
        size="small"
        :visible.sync="bindDialogVisible"
        >
            <fks-form ref="fromData" :model="fromData" label-width="80px">
                <fks-form-item label="评价模型" prop="evaluationModel">
                    <fks-input v-model="fromData.evaluationModel"></fks-input>
                </fks-form-item>
                <fks-form-item label="评价方法" prop="evaluationMethod">
                    <fks-sele v-model="fromData.evaluationMethod"></fks-sele>
                        <fks-select v-model="fromData.planType" placeholder="评价方法">
                        <fks-option label="严重程度低" value="1"></fks-option>
                        <fks-option label="严重程度高" value="2"></fks-option>
                        <fks-option label="加权平均" value="3"></fks-option>
                    </fks-select>
                </fks-form-item>
                <fks-form-item label="计划类型" prop="planType">
                    <fks-sele v-model="fromData.planType"></fks-sele>
                        <fks-select v-model="fromData.planType" placeholder="评价方法">
                        <fks-option label="实时" value="1"></fks-option>
                        <fks-option label="定时" value="2"></fks-option>
                    </fks-select>
                </fks-form-item>
                <fks-form-item label="计划参数" prop="planParam">
                    <fks-input v-model="fromData.planParam"></fks-input>
                </fks-form-item>
            </fks-form>
        <div slot="footer" class="dialog-footer">
            <fks-button @click="bindDialogVisible = false">取 消</fks-button>
            <fks-button type="primary" @click="bindDialogVisible = false">确 定</fks-button>
        </div>
    </fks-dialog>
  </div>
</template>

<script>
import titleBox from "@/views/main/components/titleBox.vue"
export default {
    components:{titleBox},
    data(){
        return {
         bindDialogVisible:false,
         fromData:{
            evaluationModel:"",
            evaluationMethod:"1",
            planType:"1",
            planParam:"",
         },
         treeData:[
                {
                    label: "金刚沱泵站",
                    id:'1',
                },
                {
                    label: "嘉陵江草街泵站",
                    id:'2',
                },
                {
                    label: "江律德感加压泵站",
                    id:'3',
                },
                {
                    label: "永川临江加压站",
                    id:'4',
                },
            ],
            defaultProps: {
                children: "children",
                label: "label",
            },
            TableData:[
                {
                 id:1,
                 name:"1#机组",
                 category:"机泵",
                 norms:"",
                 model:"",
                 status:"在用",
                 evaluationModel:"",
                 children: [
                    {
                        id: 11,
                        name:"1#泵",
                        category:"泵",
                        norms:"",
                        model:"",
                        status:"在用",
                        evaluationModel:"泵",
                    },
                    {
                        id: 12,
                        name:"1#电机",
                        category:"电机",
                        norms:"",
                        model:"",
                        status:"在用",
                        evaluationModel:"电机",
                    }
                 ]
            },
            {
                 id:2,
                 name:"2#机组",
                 category:"机泵",
                 norms:"",
                 model:"",
                 status:"在用",
                 evaluationModel:"",
                 children: [
                    {
                        id: 21,
                        name:"2#泵",
                        category:"泵",
                        norms:"",
                        model:"",
                        status:"在用",
                        evaluationModel:"泵",
                    },
                    {
                        id: 22,
                        name:"2#电机",
                        category:"电机",
                        norms:"",
                        model:"",
                        status:"在用",
                        evaluationModel:"电机",
                    }
                 ]
            },
            {
                 id:3,
                 name:"3#机组",
                 category:"机泵",
                 norms:"",
                 model:"",
                 status:"在用",
                 evaluationModel:"",
                 children: [
                    {
                        id: 31,
                        name:"3#泵",
                        category:"泵",
                        norms:"",
                        model:"",
                        status:"在用",
                        evaluationModel:"泵",
                    },
                    {
                        id: 32,
                        name:"3#电机",
                        category:"电机",
                        norms:"",
                        model:"",
                        status:"在用",
                        evaluationModel:"电机",
                    }
                 ]
            },
            {
                 id:4,
                 name:"4#机组",
                 category:"机泵",
                 norms:"",
                 model:"",
                 status:"在用",
                 evaluationModel:"",
                 children: [
                    {
                        id: 41,
                        name:"4#泵",
                        category:"泵",
                        norms:"",
                        model:"",
                        status:"在用",
                        evaluationModel:"泵",
                    },
                    {
                        id: 42,
                        name:"4#电机",
                        category:"电机",
                        norms:"",
                        model:"",
                        status:"在用",
                        evaluationModel:"电机",
                    }
                 ]
            },
        ]
    }
    },
    methods:{
        handleEdit(index,item){
            this.bindDialogVisible = true
        }
    }
}
</script>

<style scoped>
.evaluation-model-binding{
    width:100%;
    height: calc(100% - 0px);
}
.model-binding-left-box{
    width: 100%;
    height: 100%;
    background: #fff;
}
.model-binding-right-box{
    width:100%;
    height: 100%;
    background: #fff;
}
</style>